## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/refarr.h File Reference

Smart Pointer array. More...

`#include "csutil/array.h"`
`#include "csutil/ref.h"`

Go to the source code of this file.

## Classes

class | csRefArray< T >
| An array of smart pointers. More...
class | csRefArrayElementHandler< T >

## Defines

#define | CSREFARR_TRACK_DECREF(obj, tag) if (obj) obj->DecRef();
#define | CSREFARR_TRACK_INCREF(obj, tag) if (obj) obj->IncRef();

## Detailed Description

Smart Pointer array.

Definition in file refarr.h.